Package twisted :: Package spread :: Package ui :: Module tktree :: Class FileNode

[show private | hide private]
[frames | no frames]

## Class FileNode

    Node --+
           |
          FileNode

Method Summary
| `__init__(self, name)`
| ``getName`(self)` Return the name of this node in the tree.
| ``getSubNodes`(self)` Return the sub nodes of this node.
| ``gotDoubleClick`(self)` Called when we are double clicked. (inherited from `Node`)
| ``isExpandable`(self)` Return true if this node is expandable.
| ``updateMe`(self)` Call me when something about me changes, so that my representation changes. (inherited from `Node`)

Method Details

### getName(self)

Return the name of this node in the tree.

  Overrides:
    `twisted.spread.ui.tktree.Node.getName` (inherited documentation)

### getSubNodes(self)

Return the sub nodes of this node.

  Overrides:
    `twisted.spread.ui.tktree.Node.getSubNodes` (inherited documentation)

### isExpandable(self)

Return true if this node is expandable.

  Overrides:
    `twisted.spread.ui.tktree.Node.isExpandable` (inherited documentation)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:25 2003 | http://epydoc.sf.net